Archive a conversation
POST
/api/intake/{conversation_id}/archive
const url = 'https://example.com/api/intake/example/archive';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/intake/example/archive \ --header 'Authorization: Bearer <token>'Hides a conversation from the default list. The conversation state is preserved — use /recover to access it again.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” conversation_id
required
Conversation Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ArchiveResponse
object
conversation_id
required
Conversation Id
string
archived
required
Archived
boolean
Example generated
{ "conversation_id": "example", "archived": true}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}